Public Member Functions | List of all members
clan::LineRay2d Class Reference
clanCore Math

2D line ray - Double More...

`#include <line_ray.h>`

Inheritance diagram for clan::LineRay2d:

## Public Member Functions
| LineRay2d ()
| LineRay2d (const LineRay2x< double > &copy)
| LineRay2d (const Vec2< double > &point_p, const Vec2< double > &direction_v)
Public Member Functions inherited from clan::LineRay2x< double >
| LineRay2x ()
| LineRay2x (const LineRay2x< double > &copy)
| LineRay2x (const Vec2< double > &point_p, const Vec2< double > &direction_v)
LineRay2x< double > & | operator= (const LineRay2x< double > &copy)
| = operator. More...
bool | operator== (const LineRay2x< double > &line) const
| == operator. More...
bool | operator!= (const LineRay2x< double > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::LineRay2x< double >
Vec2< double > | p
| Start point on the line ray. More...
Vec2< double > | v

## Detailed Description

2D line ray - Double

A ray has a start point and a direction

The documentation for this class was generated from the following file:

- line_ray.h